> For the complete documentation index, see [llms.txt](https://docs.rpcfast.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rpcfast.com/self-hosted-cluster/archive-nodes.md).

# Archive Nodes

RPC Fast API serves clients with the fastest archive nodes on the market.

## Archive Node Offering

{% hint style="info" %}
RPC Fast offers archive nodes on Ethereum, BNB Chain, and other selected blockchains within the [Self-Hosted Cluster](/self-hosted-cluster/self-hosted-cluster-of-nodes.md) offering.
{% endhint %}

**Archive nodes** store information about previous operations on the particular blockchain and its historical statements. It will help you when you need access to earlier blocks’ data. Running an archive node takes more time and storage capabilities than a typical one. It usually stores a massive amount of data and needs more time for processing.

### Archive Data on ETH

Once, your cluster of nodes set, request archive data for your dApp via one of the JSON-RPC methods:

* eth\_getBalance
* eth\_getProof (only available on BSC)
* eth\_getCode
* eth\_getStorageAt
* eth\_call
* eth\_estimateGas
* eth\_getTransactionCount

***

## Request a Quote

Contact our [Sales Team](https://telegram.me/dysnix_rpc) on Telegram to request a quote based on your tech requirements.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rpcfast.com/self-hosted-cluster/archive-nodes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
